## Process this file with automake to produce Makefile.in

## Created by Anjuta

EXTRA_DIST =
BUILT_SOURCES =
CLEANFILES =

AM_CPPFLAGS = \
	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
	-DPACKAGE_SRC_DIR=\""$(srcdir)"\" \
	-DPACKAGE_DATA_DIR=\""$(datadir)"\" $(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_DEBUG_CFLAGS) \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)  \
	-I$(top_srcdir)/src

AM_CFLAGS =\
	 -Wall\
	 -g

lib_LTLIBRARIES = libunity-webapps.la

libunity_webapps_gdbus_codegen_sources = \
	../unity-webapps-gen-service.c \
	../unity-webapps-gen-context.c \
	../unity-webapps-gen-notification.c \
	../unity-webapps-gen-indicator.c \
	../unity-webapps-gen-music-player.c \
	../unity-webapps-gen-launcher.c

libunity_webapps_gdbus_codegen_headers = \
	../unity-webapps-gen-service.h \
	../unity-webapps-gen-context.h \
	../unity-webapps-gen-notification.h \
	../unity-webapps-gen-indicator.h \
	../unity-webapps-gen-music-player.h \
	../unity-webapps-gen-launcher.h

libunity_webapps_headers = \
	unity-webapps-notification-context.h \
	unity-webapps-indicator-context.h \
	unity-webapps-music-player-context.h \
	unity-webapps-launcher-context.h \
	unity-webapps-dbus-defs.h \
	unity-webapps-dbus-util.h \
	unity-webapps-service.h \
	unity-webapps-rate.h \
	unity-webapps-permissions.h \
	unity-webapps-sanitizer.h \
	unity-webapps-context.h

libunity_webapps_sources = \
	unity-webapps-service.c \
	unity-webapps-context.c \
	unity-webapps-context-private.h \
	unity-webapps-rate.c \
	unity-webapps-sanitizer.c \
	unity-webapps-permissions.c \
	unity-webapps-notification-context.c \
	unity-webapps-indicator-context.c \
	unity-webapps-music-player-context.c \
	unity-webapps-launcher-context.c \
	unity-webapps-debug.c \
	../unity-webapps-debug.h \
	../unity-webapps-wire-version.h


libunity_webappsincludedir = $(includedir)/libunity_webapps-0.2
libunity_webappsinclude_HEADERS = \
	$(libunity_webapps_gdbus_codegen_headers) \
	$(libunity_webapps_headers)

libunity_webapps_la_SOURCES = \
	$(libunity_webappsinclude_HEADERS) \
	$(libunity_webapps_gdbus_codegen_sources) \
	$(libunity_webapps_sources)


libunity_webapps_la_LDFLAGS = $(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	-export-dynamic \
	-export-symbols-regex "^unity_webapps_[^g].*"

libunity_webapps_la_LIBADD = $(UNITY_WEBAPPS_LIBS)

-include $(INTROSPECTION_MAKEFILE)
INTROSPECTION_GIRS =
INTROSPECTION_SCANNER_ARGS = \
	--add-include-path=$(top_srcdir)/src \
	$(addprefix --c-include=src/, $(libunity_webappsinclude_HEADERS)) \
	--symbol-prefix=unity_webapps \
	--identifier-prefix=UnityWebapps
INTROSPECTION_COMPILER_ARGS = --includedir=$(builddir) --includedir=$(top_srcdir)/src

if HAVE_INTROSPECTION

UnityWebapps-0.2.gir: libunity-webapps.la
UnityWebapps_0_2_gir_INCLUDES = \
	GObject-2.0 \
	Gio-2.0 \
	GLib-2.0
UnityWebapps_0_2_gir_CFLAGS = $(UNITY_WEBAPPS_CFLAGS) -I$(top_srcdir)/src
UnityWebapps_0_2_gir_LIBS = libunity-webapps.la
UnityWebapps_0_2_gir_FILES = $(libunity_webapps_headers) $(libunity_webapps_sources)
UnityWebapps_0_2_gir_NAMESPACE = UnityWebapps
UnityWebapps_0_2_gir_VERSION = 0.2
UnityWebapps_0_2_gir_EXPORT_PACKAGES = unity-webapps-0.2
UnityWebapps_0_2_gir_SCANNER_FLAGS = $(INTROSPECTION_SCANNER_ARGS)

INTROSPECTION_GIRS += UnityWebapps-0.2.gir

girdir = $(datadir)/gir-1.0
gir_DATA = $(INTROSPECTION_GIRS)

typelibdir = $(libdir)/girepository-1.0
typelib_DATA = $(INTROSPECTION_GIRS:.gir=.typelib)

CLEANFILES += $(gir_DATA) $(typelib_DATA)

endif


include_HEADERS = 

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libunity_webapps-0.2.pc

EXTRA_DIST += \
	libunity_webapps-0.2.pc.in

